[versions]
agp = "8.6.1"
androidPdfViewer = "3.2.0-beta.1"
annotation = "1.9.1"
coil = "2.7.0"
coilSvg = "2.7.0"
fotoapparat = "2.7.0"
gsyvideoplayerJava = "8.1.0"
gsyvideoplayerArmv7a = "8.1.0"
jsoup = "1.16.2"
zxing-core = "3.5.3"
zxing-android-core = "3.3.0"
dialogx = "0.0.49"
eventbus = "3.3.1"
flexbox = "3.0.0"
glide = "4.16.0"
gson = "2.12.1"
kotlin = "2.1.0"

junit = "4.13.2"
junitVersion = "1.2.1"
espressoCore = "3.6.1"
appcompat = "1.7.0"
lifecycleExtensions = "2.2.0"
lifecycleLivedataKtx = "2.8.7"
lifecycleViewmodelKtx = "2.8.7"
lottie = "6.6.2"
material = "1.12.0"
activity = "1.10.1"
constraintlayout = "2.2.1"
coreKtx = "1.15.0"
ksp = "2.1.0-1.0.29"
okhttp = "4.12.0"
orgEclipsePahoClientMqttv3 = "1.2.5"
refreshLayoutKernel = "3.0.0-alpha"
retrofit = "2.11.0"
roomRuntime = "2.6.1"
rxandroid = "3.0.2"
rxjava = "3.1.10"
swiperefreshlayout = "1.1.0"
utilcodex = "1.31.1"
workRuntime = "2.10.0"
xxpermissions = "20.0"

[libraries]
adapter-rxjava3 = { module = "com.squareup.retrofit2:adapter-rxjava3", version.ref = "retrofit" }
android-pdf-viewer = { module = "com.github.barteksc:android-pdf-viewer", version.ref = "androidPdfViewer" }
androidx-lifecycle-viewmodel-ktx = { module = "androidx.lifecycle:lifecycle-viewmodel-ktx", version.ref = "lifecycleViewmodelKtx" }
androidx-lifecycle-livedata-ktx = { module = "androidx.lifecycle:lifecycle-livedata-ktx", version.ref = "lifecycleLivedataKtx" }
androidx-lifecycle-extensions = { module = "androidx.lifecycle:lifecycle-extensions", version.ref = "lifecycleExtensions" }
androidx-annotation = { module = "androidx.annotation:annotation", version.ref = "annotation" }
androidx-room-compiler = { module = "androidx.room:room-compiler", version.ref = "roomRuntime" }
androidx-room-runtime = { module = "androidx.room:room-runtime", version.ref = "roomRuntime" }
androidx-swiperefreshlayout = { module = "androidx.swiperefreshlayout:swiperefreshlayout", version.ref = "swiperefreshlayout" }
androidx-work-runtime = { module = "androidx.work:work-runtime", version.ref = "workRuntime" }
coil-base = { module = "io.coil-kt:coil-base", version.ref = "coil" }
coil-svg = { module = "io.coil-kt:coil-svg", version.ref = "coilSvg" }
coil = { module = "io.coil-kt:coil", version.ref = "coil" }
converter-gson = { module = "com.squareup.retrofit2:converter-gson", version.ref = "retrofit" }
converter-scalars = { module = "com.squareup.retrofit2:converter-scalars", version.ref = "retrofit" }
fotoapparat = { module = "io.fotoapparat:fotoapparat", version.ref = "fotoapparat" }
gsyvideoplayer-armv7a = { module = "com.shuyu:gsyVideoPlayer-armv7a", version.ref = "gsyvideoplayerArmv7a" }
gsyvideoplayer-java = { module = "com.shuyu:gsyVideoPlayer-java", version.ref = "gsyvideoplayerJava" }
jsoup = { module = "org.jsoup:jsoup", version.ref = "jsoup" }
zxing-core = { module = "com.google.zxing:core", version.ref = "zxing-core" }
zxing-android-core = { module = "com.google.zxing:android-core", version.ref = "zxing-android-core" }
dialogx = { module = "com.github.kongzue.DialogX:DialogX", version.ref = "dialogx" }
eventbus = { module = "org.greenrobot:eventbus", version.ref = "eventbus" }
flexbox = { module = "com.google.android.flexbox:flexbox", version.ref = "flexbox" }
glide = { module = "com.github.bumptech.glide:glide", version.ref = "glide" }
gson = { module = "com.google.code.gson:gson", version.ref = "gson" }
junit = { group = "junit", name = "junit", version.ref = "junit" }
ext-junit = { group = "androidx.test.ext", name = "junit", version.ref = "junitVersion" }
espresso-core = { group = "androidx.test.espresso", name = "espresso-core", version.ref = "espressoCore" }
appcompat = { group = "androidx.appcompat", name = "appcompat", version.ref = "appcompat" }
androidx-core-ktx = { group = "androidx.core", name = "core-ktx", version.ref = "coreKtx" }
logging-interceptor = { module = "com.squareup.okhttp3:logging-interceptor", version.ref = "okhttp" }
lottie = { module = "com.airbnb.android:lottie", version.ref = "lottie" }
material = { group = "com.google.android.material", name = "material", version.ref = "material" }
activity = { group = "androidx.activity", name = "activity", version.ref = "activity" }
constraintlayout = { group = "androidx.constraintlayout", name = "constraintlayout", version.ref = "constraintlayout" }
okhttp = { module = "com.squareup.okhttp3:okhttp", version.ref = "okhttp" }
org-eclipse-paho-client-mqttv3 = { module = "org.eclipse.paho:org.eclipse.paho.client.mqttv3", version.ref = "orgEclipsePahoClientMqttv3" }
refresh-footer-classics = { module = "io.github.scwang90:refresh-footer-classics", version.ref = "refreshLayoutKernel" }
refresh-header-classics = { module = "io.github.scwang90:refresh-header-classics", version.ref = "refreshLayoutKernel" }
refresh-layout-kernel = { module = "io.github.scwang90:refresh-layout-kernel", version.ref = "refreshLayoutKernel" }
retrofit = { module = "com.squareup.retrofit2:retrofit", version.ref = "retrofit" }
rxandroid = { module = "io.reactivex.rxjava3:rxandroid", version.ref = "rxandroid" }
rxjava = { module = "io.reactivex.rxjava3:rxjava", version.ref = "rxjava" }
utilcodex = { module = "com.blankj:utilcodex", version.ref = "utilcodex" }
xxpermissions = { module = "com.github.getActivity:XXPermissions", version.ref = "xxpermissions" }

[plugins]
android-application = { id = "com.android.application", version.ref = "agp" }
kotlin-android = { id = "org.jetbrains.kotlin.android", version.ref = "kotlin" }
ksp = { id = "com.google.devtools.ksp", version.ref = "ksp" }
room = { id = "androidx.room", version.ref = "roomRuntime" }

